/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/PROJMGR.H__   1.2.1.4   17 Apr 1997 15:57:58   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/PROJMGR.H__  $
** 
**    Rev 1.2.1.4   17 Apr 1997 15:57:58   ZJRD
** No change.
** 
**    Rev 1.2.1.3   16 Apr 1997 10:29:34   ZJRD
** No change.
** 
**    Rev 1.2.1.2   10 Apr 1997 15:39:50   ZJRD
** No change.
** 
**    Rev 1.2.1.1   03 Apr 1997 15:18:56   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:23:42   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:33:48   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:48:52   ZJRD
** Initial revision.
** 
**    Rev 1.5.1.0.1.2   09 Dec 1996 10:17:22   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.5.1.0.1.0   11 Nov 1996 13:00:38   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.5.1.4   09 Sep 1996 13:21:34   ZJRD
** No change.
** 
**    Rev 1.5.1.3   05 Sep 1996 11:33:02   ZJRD
** No change.
** 
**    Rev 1.5.1.2   02 Sep 1996 10:00:06   ZJRD
** No change.
** 
**    Rev 1.5.1.1   28 Aug 1996 15:49:54   ZJRD
** No change.
** 
**    Rev 1.5.1.0   12 Aug 1996 10:54:02   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.2   29 May 1996 09:37:48   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// projmgr.h
//
// Roger Zhang
//
// 4/30/96
/////////////////////////////////////////////////////////////////////////////
#ifndef _PROJMGR_
#define _PROJMGR_

class CProjectManager
{
// constructor/destructor
public:
    CProjectManager();
    ~CProjectManager();     
    
// attribute
public:
    enum { BSO, IAR, AD2500, OMF51 };
    int     m_nCompilerType;    
    CStringList m_FileList;
    CString m_strProjName;
    CString m_strFileName;
    BOOL    m_fValid;
   // BOOL    m_fEditorValid;
    
// implementation
public:
    FILE    * m_fp; 
    CProjectOption  * m_pOption;        
                           
    BOOL SaveCompilerType(void);
    BOOL LoadCompilerType(void);                           
    BOOL SaveFileList(void);
    BOOL LoadFileList(void);
    BOOL SaveOption(void);
    BOOL LoadOption(void);
    BOOL SaveProject(void);
    BOOL LoadProject(void); 
    void NewOption(void);      
    
// operation
public:     
    BOOL NewProject(CWnd *pParent);
    BOOL EditProject(CWnd *pParent);
    BOOL OpenProject(CWnd *pParent);
    BOOL CloseProject(void);
    void SetOption(CWnd *pParent);
    void Build(void);
    void Editor(CWnd * pParent);
};

#endif // _PROJMGR_
///////////////////////////////(EOF)/////////////////////////////////////////
